<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>YAMLProcessor (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="YAMLProcessor (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/util/yaml/YAMLProcessorException.html" title="class in com.sk89q.util.yaml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/util/yaml/YAMLProcessor.html" target="_top">Frames</a></li>
<li><a href="YAMLProcessor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.util.yaml</div>
<h2 title="Class YAMLProcessor" class="title">Class YAMLProcessor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">com.sk89q.util.yaml.YAMLNode</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.util.yaml.YAMLProcessor</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">YAMLProcessor</span>
extends <a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a></pre>
<div class="block">YAML configuration loader. To use this class, construct it with path to
 a file and call its load() method. For specifying node paths in the
 various get*() methods, they support SK's path notation, allowing you to
 select child nodes by delimiting node names with periods.

 <p>
 For example, given the following configuration file:</p>

 <pre>members:
     - Hollie
     - Jason
     - Bobo
     - Aya
     - Tetsu
 worldguard:
     fire:
         spread: false
         blocks: [cloth, rock, glass]
 sturmeh:
     cool: false
     eats:
         babies: true</pre>

 <p>Calling code could access sturmeh's baby eating state by using
 <code>getBoolean("sturmeh.eats.babies", false)</code>. For lists, there are
 methods such as <code>getStringList</code> that will return a type safe list.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#COMMENT_CHAR">COMMENT_CHAR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#file">file</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../com/sk89q/util/yaml/YAMLFormat.html" title="enum in com.sk89q.util.yaml">YAMLFormat</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#format">format</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#header">header</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#LINE_BREAK">LINE_BREAK</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.yaml.snakeyaml.Yaml</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#yaml">yaml</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.util.yaml.YAMLNode">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.util.yaml.<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a></h3>
<code><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#root">root</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#YAMLProcessor-java.io.File-boolean-">YAMLProcessor</a></span>(java.io.File&nbsp;file,
             boolean&nbsp;writeDefaults)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#YAMLProcessor-java.io.File-boolean-com.sk89q.util.yaml.YAMLFormat-">YAMLProcessor</a></span>(java.io.File&nbsp;file,
             boolean&nbsp;writeDefaults,
             <a href="../../../../com/sk89q/util/yaml/YAMLFormat.html" title="enum in com.sk89q.util.yaml">YAMLFormat</a>&nbsp;format)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#getComment-java.lang.String-">getComment</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Returns a root-level comment.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#getComments--">getComments</a></span>()</code>
<div class="block">Returns root-level comments.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#getEmptyNode-boolean-">getEmptyNode</a></span>(boolean&nbsp;writeDefaults)</code>
<div class="block">This method returns an empty ConfigurationNode for using as a
 default in methods that select a node from a node list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#getHeader--">getHeader</a></span>()</code>
<div class="block">Return the set header.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.io.InputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#getInputStream--">getInputStream</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.io.OutputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#getOutputStream--">getOutputStream</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#load--">load</a></span>()</code>
<div class="block">Loads the configuration file.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#save--">save</a></span>()</code>
<div class="block">Saves the configuration to disk.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#setComment-java.lang.String-java.lang.String...-">setComment</a></span>(java.lang.String&nbsp;key,
          java.lang.String...&nbsp;comment)</code>
<div class="block">Set a root-level comment.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#setComment-java.lang.String-java.lang.String-">setComment</a></span>(java.lang.String&nbsp;key,
          java.lang.String&nbsp;comment)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#setComments-java.util.Map-">setComments</a></span>(java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;comments)</code>
<div class="block">Set root-level comments from a map.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#setHeader-java.lang.String...-">setHeader</a></span>(java.lang.String...&nbsp;headerLines)</code>
<div class="block">Set the header for the file as a series of lines that are terminated
 by a new line sequence.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html#setHeader-java.lang.String-">setHeader</a></span>(java.lang.String&nbsp;header)</code>
<div class="block">Set the header for the file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.util.yaml.YAMLNode">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.util.yaml.<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a></h3>
<code><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#addNode-java.lang.String-">addNode</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#clear--">clear</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBlockVector2List-java.lang.String-java.util.List-">getBlockVector2List</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBooleanList-java.lang.String-java.util.List-">getBooleanList</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getDoubleList-java.lang.String-java.util.List-">getDoubleList</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getIntList-java.lang.String-java.util.List-">getIntList</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getList-java.lang.String-">getList</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getMap--">getMap</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getNode-java.lang.String-">getNode</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getNodeList-java.lang.String-java.util.List-">getNodeList</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getNodes-java.lang.String-">getNodes</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getString-java.lang.String-">getString</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getStringList-java.lang.String-java.util.List-">getStringList</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector-java.lang.String-">getVector</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector-java.lang.String-com.sk89q.worldedit.math.Vector3-">getVector</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector2-java.lang.String-">getVector2</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector2List-java.lang.String-java.util.List-">getVector2List</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVectorList-java.lang.String-java.util.List-">getVectorList</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#removeProperty-java.lang.String-">removeProperty</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#setWriteDefaults-boolean-">setWriteDefaults</a>, <a href="../../../../com/sk89q/util/yaml/YAMLNode.html#writeDefaults--">writeDefaults</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="LINE_BREAK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINE_BREAK</h4>
<pre>public static final&nbsp;java.lang.String LINE_BREAK</pre>
</li>
</ul>
<a name="COMMENT_CHAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMMENT_CHAR</h4>
<pre>public static final&nbsp;char COMMENT_CHAR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.sk89q.util.yaml.YAMLProcessor.COMMENT_CHAR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="yaml">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>yaml</h4>
<pre>protected final&nbsp;org.yaml.snakeyaml.Yaml yaml</pre>
</li>
</ul>
<a name="file">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>file</h4>
<pre>protected final&nbsp;java.io.File file</pre>
</li>
</ul>
<a name="header">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>header</h4>
<pre>protected&nbsp;java.lang.String header</pre>
</li>
</ul>
<a name="format">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>format</h4>
<pre>protected&nbsp;<a href="../../../../com/sk89q/util/yaml/YAMLFormat.html" title="enum in com.sk89q.util.yaml">YAMLFormat</a> format</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="YAMLProcessor-java.io.File-boolean-com.sk89q.util.yaml.YAMLFormat-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>YAMLProcessor</h4>
<pre>public&nbsp;YAMLProcessor(java.io.File&nbsp;file,
                     boolean&nbsp;writeDefaults,
                     <a href="../../../../com/sk89q/util/yaml/YAMLFormat.html" title="enum in com.sk89q.util.yaml">YAMLFormat</a>&nbsp;format)</pre>
</li>
</ul>
<a name="YAMLProcessor-java.io.File-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>YAMLProcessor</h4>
<pre>public&nbsp;YAMLProcessor(java.io.File&nbsp;file,
                     boolean&nbsp;writeDefaults)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="load--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load()
          throws java.io.IOException</pre>
<div class="block">Loads the configuration file.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - on load error</dd>
</dl>
</li>
</ul>
<a name="setHeader-java.lang.String...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeader</h4>
<pre>public&nbsp;void&nbsp;setHeader(java.lang.String...&nbsp;headerLines)</pre>
<div class="block">Set the header for the file as a series of lines that are terminated
 by a new line sequence.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>headerLines</code> - header lines to prepend</dd>
</dl>
</li>
</ul>
<a name="setHeader-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeader</h4>
<pre>public&nbsp;void&nbsp;setHeader(java.lang.String&nbsp;header)</pre>
<div class="block">Set the header for the file. A header can be provided to prepend the
 YAML data output on configuration save. The header is
 printed raw and so must be manually commented if used. A new line will
 be appended after the header, however, if a header is provided.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>header</code> - header to prepend</dd>
</dl>
</li>
</ul>
<a name="getHeader--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeader</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHeader()</pre>
<div class="block">Return the set header.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the header text</dd>
</dl>
</li>
</ul>
<a name="save--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;boolean&nbsp;save()</pre>
<div class="block">Saves the configuration to disk. All errors are clobbered.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if it was successful</dd>
</dl>
</li>
</ul>
<a name="getInputStream--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputStream</h4>
<pre>public&nbsp;java.io.InputStream&nbsp;getInputStream()
                                   throws java.io.IOException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="getOutputStream--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputStream</h4>
<pre>public&nbsp;java.io.OutputStream&nbsp;getOutputStream()
                                     throws java.io.IOException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="getComment-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComment</h4>
<pre>public&nbsp;java.lang.String&nbsp;getComment(java.lang.String&nbsp;key)</pre>
<div class="block">Returns a root-level comment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the property key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the comment or <code>null</code></dd>
</dl>
</li>
</ul>
<a name="setComment-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setComment</h4>
<pre>public&nbsp;void&nbsp;setComment(java.lang.String&nbsp;key,
                       java.lang.String&nbsp;comment)</pre>
</li>
</ul>
<a name="setComment-java.lang.String-java.lang.String...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setComment</h4>
<pre>public&nbsp;void&nbsp;setComment(java.lang.String&nbsp;key,
                       java.lang.String...&nbsp;comment)</pre>
<div class="block">Set a root-level comment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the property key</dd>
<dd><code>comment</code> - the comment. May be <code>null</code>, in which case the comment
   is removed.</dd>
</dl>
</li>
</ul>
<a name="getComments--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComments</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;getComments()</pre>
<div class="block">Returns root-level comments.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>map of root-level comments</dd>
</dl>
</li>
</ul>
<a name="setComments-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setComments</h4>
<pre>public&nbsp;void&nbsp;setComments(java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;comments)</pre>
<div class="block">Set root-level comments from a map.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>comments</code> - comment map</dd>
</dl>
</li>
</ul>
<a name="getEmptyNode-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getEmptyNode</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&nbsp;getEmptyNode(boolean&nbsp;writeDefaults)</pre>
<div class="block">This method returns an empty ConfigurationNode for using as a
 default in methods that select a node from a node list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>writeDefaults</code> - true to write default values when a property is requested that doesn't exist</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a node</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/util/yaml/YAMLProcessorException.html" title="class in com.sk89q.util.yaml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/util/yaml/YAMLProcessor.html" target="_top">Frames</a></li>
<li><a href="YAMLProcessor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
